API Reference
Get brief research details
GET
header
AuthorizationBearer <token>Session JWT signed with HS256. Verification pins the algorithm and rejects expired tokens, per RFC8725.
domainId*stringDomain ID
researchId*stringResearch ID
application/json- response
id*stringstatus*stringcurrentStep*numbertotalSteps*numbercurrentStepName?stringerrorMessage?stringcreatedAt*stringcompletedAt?stringgapCount?numberkeywordCount?numbertopKeywords?array<string>topGaps?array<string>topicName?stringpromptName?stringcommonTopics?array<string>contentStructures?array<string>domainId*stringorganizationId*stringconfig*fetchGapsOutput?gapDetailsOutput?crawlSourcesOutput?extractKeywordsOutput?getVolumesOutput?compileResultsOutput?curl -X GET 'https://api.getmint.ai/api/domains/string/content-studio-v2/brief-researches/string'{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "completed", "currentStep": 6, "totalSteps": 6, "currentStepName": "compileResults", "errorMessage": "Keyword volume provider timed out", "createdAt": "2026-05-25T10:30:00.000Z", "completedAt": "2026-05-25T10:35:00.000Z", "gapCount": 12, "keywordCount": 48, "topKeywords": [ { "keyword": "best running shoes", "searchVolume": 27000 } ], "topGaps": [ { "topicName": "Trail running", "percentage": 42 } ], "topicName": "Running shoes", "promptName": "best running shoes for beginners", "commonTopics": [ "cushioning", "arch support", "pronation" ], "contentStructures": [ "Listicle", "Comparison table", "FAQ" ], "domainId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "config": { "dateRange": "30d", "priority": "high", "gapLimit": 10, "crawlLimit": 5, "market": "US", "language": "en" }, "fetchGapsOutput": { "gaps": 12, "fetchedAt": "2026-05-25T10:31:00.000Z" }, "gapDetailsOutput": { "topGap": "Trail running", "percentage": 42 }, "crawlSourcesOutput": { "crawledUrls": [ "https://nike.com/air-max" ], "pages": 5 }, "extractKeywordsOutput": { "keywords": [ "running shoes", "gait analysis" ] }, "getVolumesOutput": { "running shoes": 27000, "gait analysis": 1900 }, "compileResultsOutput": { "keywordCount": 48, "gapCount": 12 }}